diff --git a/changelog b/changelog
index 46dc9dc..44f04bc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071004 tpd src/input/Makefile kamke1.input regression test added
+20071004 tpd src/input/kamke1.input ODE regression test added
 20071004 tpd src/input/Makefile kamke0.input regression test added
 20071004 tpd src/input/kamke0.input ODE regression test added
 20071001 tpd src/algebra/exposed.lisp add (|AxiomServer| . AXSERV) to basic
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index c1ade3e..159377a 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -322,7 +322,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     intmix2.regress   intmix.regress   int.regress      intrf.regress \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
-    kamke0.regress \
+    kamke0.regress    kamke1.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -561,7 +561,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/intg0.input    ${OUT}/intheory.input   ${OUT}/int.input \
        ${OUT}/intlf.input    ${OUT}/intmix.input     ${OUT}/intrf.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
-       ${OUT}/kafile.input   ${OUT}/kamke0.input \
+       ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -827,7 +827,7 @@ DOCFILES= \
   ${DOC}/intmix.input.dvi      ${DOC}/intrf.input.dvi      \
   ${DOC}/ipftest.input.dvi     ${DOC}/is.input.dvi         \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
-  ${DOC}/kamke0.input.dvi \
+  ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke1.input.pamphlet b/src/input/kamke1.input.pamphlet
new file mode 100644
index 0000000..2b5237a
--- /dev/null
+++ b/src/input/kamke1.input.pamphlet
@@ -0,0 +1,2124 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke1.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the next 50 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke1.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 123
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 123
+f := operator 'f
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 123
+g := operator 'g
+--R
+--R   (3)  g
+--R                                                          Type: BasicOperator
+--E 3
+
+--S 4 of 123
+h := operator 'h
+--R
+--R   (4)  h
+--R                                                          Type: BasicOperator
+--E 4
+
+--S 5 of 123
+ode51 := D(y(x),x) - (y(x)-f(x))*(y(x)-g(x))*(y(x)-(a*f(x)+b*g(x))/(a+b))*h(x)_
+           - D(f(x),x)*(y(x)-g(x))/(f(x)-g(x)) _
+           - D(g(x),x)*(y(x)-f(x))/(g(x)-f(x))
+--R
+--R   (5)
+--R                                     ,                                    ,
+--R       ((b + a)g(x) + (- b - a)f(x))y (x) + ((- b - a)y(x) + (b + a)f(x))g (x)
+--R
+--R     + 
+--R                                     ,
+--R       ((b + a)y(x) + (- b - a)g(x))f (x)
+--R
+--R     + 
+--R                                            3
+--R       ((- b - a)g(x) + (b + a)f(x))h(x)y(x)
+--R     + 
+--R                    2                                     2         2
+--R       ((2b + a)g(x)  + (- b + a)f(x)g(x) + (- b - 2a)f(x) )h(x)y(x)
+--R     + 
+--R                3                     2               2             3
+--R       (- b g(x)  + (- b - 2a)f(x)g(x)  + (2b + a)f(x) g(x) + a f(x) )h(x)y(x)
+--R     + 
+--R                  3                2    2         3
+--R       (b f(x)g(x)  + (- b + a)f(x) g(x)  - a f(x) g(x))h(x)
+--R  /
+--R     (b + a)g(x) + (- b - a)f(x)
+--R                                                     Type: Expression Integer
+--E 5
+
+--S 6 of 123
+ode51a:=solve(ode51,y,x)
+--R
+--R   (6)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 6
+
+--S 7 of 123
+ode52 := D(y(x),x) - a*y(x)**n - b*x**(n/(1-n))
+--R
+--R                                 n
+--R                             - -----
+--R         ,            n        n - 1
+--R   (7)  y (x) - a y(x)  - b x
+--R
+--R                                                     Type: Expression Integer
+--E 7
+
+--S 8 of 123
+ode52a:=solve(ode52,y,x)
+--R
+--R   (8)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 8
+
+--S 9 of 123
+ode53 := D(y(x),x) - f(x)**(1-n)*D(g(x),x)*y(x)**n/(a*g(x)+b)**n _
+           - D(f(x),x)*y(x)/f(x) - f(x)*D(g(x),x)
+--R
+--R   (9)
+--R                       n ,
+--R       f(x)(a g(x) + b) y (x)
+--R
+--R     + 
+--R                - n + 1    n       2            n  ,                      n ,
+--R     (- f(x)f(x)       y(x)  - f(x) (a g(x) + b) )g (x) - y(x)(a g(x) + b) f (x)
+--R
+--R  /
+--R                     n
+--R     f(x)(a g(x) + b)
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 123
+ode53a:=solve(ode53,y,x)
+--R
+--R   (10)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 10
+
+--S 11 of 123
+ode54 := D(y(x),x) - a**n*f(x)**(1-n)*D(g(x),x)*y(x)**n - _
+          D(f(x),x)*y(x)/f(x) - f(x)*D(g(x),x)
+--R
+--R              ,              n    - n + 1    n       2  ,           ,
+--R         f(x)y (x) + (- f(x)a f(x)       y(x)  - f(x) )g (x) - y(x)f (x)
+--R
+--R   (11)  ---------------------------------------------------------------
+--R                                       f(x)
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 123
+ode54a:=solve(ode54,y,x)
+--R
+--R   (12)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 12
+
+--S 13 of 123
+ode55 := D(y(x),x) - f(x)*y(x)**n - g(x)*y(x) - h(x)
+--R
+--R          ,              n
+--R   (13)  y (x) - f(x)y(x)  - g(x)y(x) - h(x)
+--R
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 123
+ode55a:=solve(ode55,y,x)
+--R
+--R   (14)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 14
+
+--S 15 of 123
+ode56 := D(y(x),x) - f(x)*y(x)**a - g(x)*y(x)**b
+--R
+--R          ,              b           a
+--R   (15)  y (x) - g(x)y(x)  - f(x)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 123
+ode5a:=solve(ode56,y,x)
+--R
+--R   (16)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 16
+
+--S 17 of 123
+ode57 := D(y(x),x) - sqrt(abs(y(x)))
+--R
+--R            +---------+    ,
+--R   (17)  - \|abs(y(x))  + y (x)
+--R
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 123
+yx:=solve(ode57,y,x)
+--R
+--R             +---------+
+--R         - x\|abs(y(x))  + 2y(x)
+--R   (18)  -----------------------
+--R                  +----+
+--R                 \|y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+--S 19 of 123
+ode57expr := D(yx,x) - sqrt(abs(yx))
+--R
+--R   (19)
+--R                             +--------------------------+
+--R                             |      +---------+
+--R          +----+ +---------+ |    x\|abs(y(x))  - 2y(x)      ,    +---------+
+--R       - \|y(x) \|abs(y(x))  |abs(---------------------)  + y (x)\|abs(y(x))
+--R                             |            +----+
+--R                            \|           \|y(x)
+--R     + 
+--R       - abs(y(x))
+--R  /
+--R      +----+ +---------+
+--R     \|y(x) \|abs(y(x))
+--R                                                     Type: Expression Integer
+--E 19
+
+--S 20 of 123
+ode58 := D(y(x),x) - a*sqrt(y(x)) - b*x
+--R
+--R          ,        +----+
+--R   (20)  y (x) - a\|y(x)  - b x
+--R
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 123
+ode58a:=solve(ode58,y,x)
+--R
+--R   (21)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 21
+
+--  this never finishes
+--  ode59 := D(y(x),x) - a*sqrt(y(x)**2+1) - b
+--
+
+--S 22 of 123
+ode60 := D(y(x),x) - sqrt(y(x)**2-1)/sqrt(x**2-1)
+--R
+--R          +------+         +---------+
+--R          | 2      ,       |    2
+--R         \|x  - 1 y (x) - \|y(x)  - 1
+--R
+--R   (22)  -----------------------------
+--R                    +------+
+--R                    | 2
+--R                   \|x  - 1
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 123
+ode60a:=solve(ode60,y,x)
+--R
+--R   (23)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 23
+
+--S 24 of 123
+ode61 := D(y(x),x) - sqrt(x**2-1)/sqrt(y(x)**2-1)
+--R
+--R          +---------+         +------+
+--R          |    2      ,       | 2
+--R         \|y(x)  - 1 y (x) - \|x  - 1
+--R
+--R   (24)  -----------------------------
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  - 1
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 123
+yx:=solve(ode61,y,x)
+--R
+--R   (25)
+--R                    +------+                    +---------+
+--R                    | 2             2           |    2
+--R           (4x y(x)\|x  - 1  + (- 4x  + 2)y(x))\|y(x)  - 1
+--R         + 
+--R                             +------+
+--R                     2       | 2           2         2     2
+--R           (- 4x y(x)  + 2x)\|x  - 1  + (4x  - 2)y(x)  - 2x  + 1
+--R      *
+--R              +---------+
+--R              |    2
+--R         log(\|y(x)  - 1  - y(x))
+--R     + 
+--R                      +------+                      +------+
+--R                      | 2           2               | 2
+--R           (- 4x y(x)\|x  - 1  + (4x  - 2)y(x))log(\|x  - 1  - x)
+--R         + 
+--R                                  +------+
+--R                     3     3      | 2           2         3
+--R           (- 4x y(x)  + 4x y(x))\|x  - 1  + (4x  - 2)y(x)
+--R         + 
+--R                4     2
+--R           (- 4x  + 2x  + 1)y(x)
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  - 1
+--R     + 
+--R                        +------+                                   +------+
+--R                2       | 2             2         2     2          | 2
+--R       ((4x y(x)  - 2x)\|x  - 1  + (- 4x  + 2)y(x)  + 2x  - 1)log(\|x  - 1  - x)
+--R     + 
+--R                                                +------+
+--R               4        3          2     3      | 2             2         4
+--R       (4x y(x)  + (- 4x  - 2x)y(x)  + 2x  - x)\|x  - 1  + (- 4x  + 2)y(x)
+--R     + 
+--R          4         2     4     2
+--R       (4x  - 2)y(x)  - 2x  + 2x
+--R  /
+--R                +------+                    +---------+
+--R                | 2             2           |    2
+--R       (8x y(x)\|x  - 1  + (- 8x  + 4)y(x))\|y(x)  - 1
+--R     + 
+--R                         +------+
+--R                 2       | 2           2         2     2
+--R       (- 8x y(x)  + 4x)\|x  - 1  + (8x  - 4)y(x)  - 4x  + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 25
+
+--S 26 of 123
+ode61expr := D(yx,x) - sqrt(x**2-1)/sqrt(yx**2-1)
+--R
+--R   (26)
+--R                             4      2         5       4      2          3
+--R                       (- 64x  + 64x  - 8)y(x)  + (96x  - 96x  + 12)y(x)
+--R                     + 
+--R                             4      2
+--R                       (- 32x  + 32x  - 4)y(x)
+--R                  *
+--R                      +------+
+--R                      | 2
+--R                     \|x  - 1
+--R                 + 
+--R                       5      3           5         5       3           3
+--R                   (64x  - 96x  + 32x)y(x)  + (- 96x  + 144x  - 48x)y(x)
+--R                 + 
+--R                       5      3
+--R                   (32x  - 48x  + 16x)y(x)
+--R              *
+--R                  +---------+
+--R                  |    2
+--R                 \|y(x)  - 1
+--R             + 
+--R                       4      2         6          4       2          4
+--R                   (64x  - 64x  + 8)y(x)  + (- 128x  + 128x  - 16)y(x)
+--R                 + 
+--R                       4      2         2     4     2
+--R                   (72x  - 72x  + 9)y(x)  - 8x  + 8x  - 1
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  - 1
+--R             + 
+--R                     5      3           6        5       3           4
+--R               (- 64x  + 96x  - 32x)y(x)  + (128x  - 192x  + 64x)y(x)
+--R             + 
+--R                     5       3           2     5      3
+--R               (- 72x  + 108x  - 36x)y(x)  + 8x  - 12x  + 4x
+--R          *
+--R              ,
+--R             y (x)
+--R
+--R         + 
+--R                       5      3           4         5      3           2     5
+--R                   (64x  - 96x  + 32x)y(x)  + (- 64x  + 96x  - 32x)y(x)  + 8x
+--R                 + 
+--R                        3
+--R                   - 12x  + 4x
+--R              *
+--R                  +------+
+--R                  | 2
+--R                 \|x  - 1
+--R             + 
+--R                     6       4      2         4       6       4      2         2
+--R               (- 64x  + 128x  - 72x  + 8)y(x)  + (64x  - 128x  + 72x  - 8)y(x)
+--R             + 
+--R                   6      4     2
+--R               - 8x  + 16x  - 9x  + 1
+--R          *
+--R              +---------+
+--R              |    2
+--R             \|y(x)  - 1
+--R         + 
+--R                     5      3           5       5       3           3
+--R               (- 64x  + 96x  - 32x)y(x)  + (96x  - 144x  + 48x)y(x)
+--R             + 
+--R                     5      3
+--R               (- 32x  + 48x  - 16x)y(x)
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  - 1
+--R         + 
+--R               6       4      2         5         6       4       2          3
+--R           (64x  - 128x  + 72x  - 8)y(x)  + (- 96x  + 192x  - 108x  + 12)y(x)
+--R         + 
+--R               6      4      2
+--R           (32x  - 64x  + 36x  - 4)y(x)
+--R      *
+--R         ROOT
+--R                                                                 +------+
+--R                             3           3         3             | 2
+--R                        ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                      + 
+--R                              4      2         3       4      2
+--R                        (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  - 1
+--R                  + 
+--R                             3           4       3           2     3
+--R                      ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                        4      2         4         4      2         2     4
+--R                    (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x
+--R                  + 
+--R                        2
+--R                    - 8x  + 1
+--R               *
+--R                       +---------+        2
+--R                       |    2
+--R                  log(\|y(x)  - 1  - y(x))
+--R              + 
+--R                                                                      +------+
+--R                                    3           3       3             | 2
+--R                            ((- 128x  + 64x)y(x)  + (64x  - 32x)y(x))\|x  - 1
+--R                          + 
+--R                                 4       2          3         4      2
+--R                            (128x  - 128x  + 16)y(x)  + (- 64x  + 64x  - 8)y(x)
+--R                       *
+--R                               +------+
+--R                               | 2
+--R                          log(\|x  - 1  - x)
+--R                      + 
+--R                                   3           5        5           3
+--R                            (- 128x  + 64x)y(x)  + (128x  - 48x)y(x)
+--R                          + 
+--R                                  5      3
+--R                            (- 64x  + 48x )y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                             4       2          5
+--R                        (128x  - 128x  + 16)y(x)
+--R                      + 
+--R                               6      4      2          3
+--R                        (- 128x  + 64x  + 64x  - 16)y(x)
+--R                      + 
+--R                            6      4      2
+--R                        (64x  - 80x  + 16x  + 2)y(x)
+--R                   *
+--R                       +---------+
+--R                       |    2
+--R                      \|y(x)  - 1
+--R                  + 
+--R                                   3           4          3           2      3
+--R                              (128x  - 64x)y(x)  + (- 128x  + 64x)y(x)  + 16x
+--R                            + 
+--R                              - 8x
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                               4       2          4        4       2          2
+--R                        (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 16)y(x)
+--R                      + 
+--R                             4      2
+--R                        - 16x  + 16x  - 2
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                             3           6          5      3           4
+--R                        (128x  - 64x)y(x)  + (- 128x  - 64x  + 80x)y(x)
+--R                      + 
+--R                             5      3           2      5      3
+--R                        (128x  - 64x  - 16x)y(x)  - 16x  + 16x  - 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                           4       2          6        6       2          4
+--R                    (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 24)y(x)
+--R                  + 
+--R                           6       4         2      6      4     2
+--R                    (- 128x  + 128x  - 8)y(x)  + 16x  - 24x  + 8x
+--R               *
+--R                       +---------+
+--R                       |    2
+--R                  log(\|y(x)  - 1  - y(x))
+--R              + 
+--R                                                                 +------+
+--R                             3           3         3             | 2
+--R                        ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                      + 
+--R                              4      2         3       4      2
+--R                        (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                   *
+--R                           +------+     2
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                                 3           5          5           3
+--R                            (128x  - 64x)y(x)  + (- 128x  + 48x)y(x)
+--R                          + 
+--R                                5      3
+--R                            (64x  - 48x )y(x)
+--R                       *
+--R                           +------+
+--R                           | 2
+--R                          \|x  - 1
+--R                      + 
+--R                               4       2          5
+--R                        (- 128x  + 128x  - 16)y(x)
+--R                      + 
+--R                             6      4      2          3
+--R                        (128x  - 64x  - 64x  + 16)y(x)
+--R                      + 
+--R                              6      4      2
+--R                        (- 64x  + 80x  - 16x  - 2)y(x)
+--R                   *
+--R                           +------+
+--R                           | 2
+--R                      log(\|x  - 1  - x)
+--R                  + 
+--R                            3           7          5      3           5
+--R                        (64x  - 32x)y(x)  + (- 128x  + 32x  + 32x)y(x)
+--R                      + 
+--R                            7      5       3            3
+--R                        (64x  + 32x  - 320x  + 128x)y(x)
+--R                      + 
+--R                              7      5       3
+--R                        (- 32x  + 32x  + 128x  - 66x)y(x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                          4      2         7        6      4      2          5
+--R                    (- 64x  + 64x  - 8)y(x)  + (128x  - 96x  - 32x  + 12)y(x)
+--R                  + 
+--R                          8       4       2          3
+--R                    (- 64x  + 344x  - 280x  + 28)y(x)
+--R                  + 
+--R                        8      6       4       2
+--R                    (32x  - 48x  - 116x  + 132x  - 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  - 1
+--R              + 
+--R                             3           4       3           2     3
+--R                      ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                        4      2         4         4      2         2     4
+--R                    (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x
+--R                  + 
+--R                        2
+--R                    - 8x  + 1
+--R               *
+--R                       +------+     2
+--R                       | 2
+--R                  log(\|x  - 1  - x)
+--R              + 
+--R                               3           6        5      3           4
+--R                        (- 128x  + 64x)y(x)  + (128x  + 64x  - 80x)y(x)
+--R                      + 
+--R                               5      3           2      5      3
+--R                        (- 128x  + 64x  + 16x)y(x)  + 16x  - 16x  + 2x
+--R                   *
+--R                       +------+
+--R                       | 2
+--R                      \|x  - 1
+--R                  + 
+--R                         4       2          6          6       2          4
+--R                    (128x  - 128x  + 16)y(x)  + (- 128x  + 128x  - 24)y(x)
+--R                  + 
+--R                         6       4         2      6      4     2
+--R                    (128x  - 128x  + 8)y(x)  - 16x  + 24x  - 8x
+--R               *
+--R                       +------+
+--R                       | 2
+--R                  log(\|x  - 1  - x)
+--R              + 
+--R                          3           8        5           6
+--R                    (- 64x  + 32x)y(x)  + (128x  - 48x)y(x)
+--R                  + 
+--R                          7      5       3            4
+--R                    (- 64x  - 96x  + 344x  - 116x)y(x)
+--R                  + 
+--R                        7      5       3            2     7      5      3
+--R                    (64x  - 32x  - 280x  + 132x)y(x)  - 8x  + 12x  + 28x  - 16x
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  - 1
+--R              + 
+--R                    4      2         8          6      4      2          6
+--R                (64x  - 64x  + 8)y(x)  + (- 128x  + 64x  + 64x  - 16)y(x)
+--R              + 
+--R                    8      6       4       2          4
+--R                (64x  + 64x  - 400x  + 272x  - 23)y(x)
+--R              + 
+--R                      8      6       4       2          2     8      6      4
+--R                (- 64x  + 64x  + 272x  - 272x  + 31)y(x)  + 8x  - 16x  - 23x
+--R              + 
+--R                   2
+--R                31x  - 4
+--R           /
+--R                                                                +------+
+--R                          3            3          3             | 2
+--R                    ((256x  - 128x)y(x)  + (- 128x  + 64x)y(x))\|x  - 1
+--R                  + 
+--R                           4       2          3        4       2
+--R                    (- 256x  + 256x  - 32)y(x)  + (128x  - 128x  + 16)y(x)
+--R               *
+--R                   +---------+
+--R                   |    2
+--R                  \|y(x)  - 1
+--R              + 
+--R                          3            4        3            2      3
+--R                  ((- 256x  + 128x)y(x)  + (256x  - 128x)y(x)  - 32x  + 16x)
+--R               *
+--R                   +------+
+--R                   | 2
+--R                  \|x  - 1
+--R              + 
+--R                     4       2          4          4       2          2      4
+--R                (256x  - 256x  + 32)y(x)  + (- 256x  + 256x  - 32)y(x)  + 32x
+--R              + 
+--R                     2
+--R                - 32x  + 4
+--R     + 
+--R                   5      3           4         5      3           2     5
+--R               (64x  - 96x  + 32x)y(x)  + (- 64x  + 96x  - 32x)y(x)  + 8x
+--R             + 
+--R                    3
+--R               - 12x  + 4x
+--R          *
+--R              +------+
+--R              | 2
+--R             \|x  - 1
+--R         + 
+--R                 6       4      2         4       6       4      2         2
+--R           (- 64x  + 128x  - 72x  + 8)y(x)  + (64x  - 128x  + 72x  - 8)y(x)
+--R         + 
+--R               6      4     2
+--R           - 8x  + 16x  - 9x  + 1
+--R      *
+--R          +---------+
+--R          |    2
+--R         \|y(x)  - 1
+--R     + 
+--R                 5      3           5       5       3           3
+--R           (- 64x  + 96x  - 32x)y(x)  + (96x  - 144x  + 48x)y(x)
+--R         + 
+--R                 5      3
+--R           (- 32x  + 48x  - 16x)y(x)
+--R      *
+--R          +------+
+--R          | 2
+--R         \|x  - 1
+--R     + 
+--R           6       4      2         5         6       4       2          3
+--R       (64x  - 128x  + 72x  - 8)y(x)  + (- 96x  + 192x  - 108x  + 12)y(x)
+--R     + 
+--R           6      4      2
+--R       (32x  - 64x  + 36x  - 4)y(x)
+--R  /
+--R                       4      2         4         4      2         2     4     2
+--R                   (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x  - 8x
+--R                 + 
+--R                   1
+--R            *
+--R                +------+
+--R                | 2
+--R               \|x  - 1
+--R           + 
+--R                   5      3           4       5      3           2     5      3
+--R             (- 64x  + 96x  - 32x)y(x)  + (64x  - 96x  + 32x)y(x)  - 8x  + 12x
+--R           + 
+--R             - 4x
+--R        *
+--R            +---------+
+--R            |    2
+--R           \|y(x)  - 1
+--R       + 
+--R                   4      2         5       4      2          3
+--R             (- 64x  + 64x  - 8)y(x)  + (96x  - 96x  + 12)y(x)
+--R           + 
+--R                   4      2
+--R             (- 32x  + 32x  - 4)y(x)
+--R        *
+--R            +------+
+--R            | 2
+--R           \|x  - 1
+--R       + 
+--R             5      3           5         5       3           3
+--R         (64x  - 96x  + 32x)y(x)  + (- 96x  + 144x  - 48x)y(x)
+--R       + 
+--R             5      3
+--R         (32x  - 48x  + 16x)y(x)
+--R    *
+--R       ROOT
+--R                                                               +------+
+--R                           3           3         3             | 2
+--R                      ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                    + 
+--R                            4      2         3       4      2
+--R                      (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                 *
+--R                     +---------+
+--R                     |    2
+--R                    \|y(x)  - 1
+--R                + 
+--R                                                                       +------+
+--R                         3           4       3           2     3       | 2
+--R                  ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)\|x  - 1
+--R                + 
+--R                      4      2         4         4      2         2     4     2
+--R                  (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x  - 8x
+--R                + 
+--R                  1
+--R             *
+--R                     +---------+        2
+--R                     |    2
+--R                log(\|y(x)  - 1  - y(x))
+--R            + 
+--R                                                                    +------+
+--R                                  3           3       3             | 2
+--R                          ((- 128x  + 64x)y(x)  + (64x  - 32x)y(x))\|x  - 1
+--R                        + 
+--R                               4       2          3         4      2
+--R                          (128x  - 128x  + 16)y(x)  + (- 64x  + 64x  - 8)y(x)
+--R                     *
+--R                             +------+
+--R                             | 2
+--R                        log(\|x  - 1  - x)
+--R                    + 
+--R                                 3           5        5           3
+--R                          (- 128x  + 64x)y(x)  + (128x  - 48x)y(x)
+--R                        + 
+--R                                5      3
+--R                          (- 64x  + 48x )y(x)
+--R                     *
+--R                         +------+
+--R                         | 2
+--R                        \|x  - 1
+--R                    + 
+--R                           4       2          5
+--R                      (128x  - 128x  + 16)y(x)
+--R                    + 
+--R                             6      4      2          3
+--R                      (- 128x  + 64x  + 64x  - 16)y(x)
+--R                    + 
+--R                          6      4      2
+--R                      (64x  - 80x  + 16x  + 2)y(x)
+--R                 *
+--R                     +---------+
+--R                     |    2
+--R                    \|y(x)  - 1
+--R                + 
+--R                              3           4          3           2      3
+--R                        ((128x  - 64x)y(x)  + (- 128x  + 64x)y(x)  + 16x  - 8x)
+--R                     *
+--R                         +------+
+--R                         | 2
+--R                        \|x  - 1
+--R                    + 
+--R                             4       2          4        4       2          2
+--R                      (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 16)y(x)
+--R                    + 
+--R                           4      2
+--R                      - 16x  + 16x  - 2
+--R                 *
+--R                         +------+
+--R                         | 2
+--R                    log(\|x  - 1  - x)
+--R                + 
+--R                           3           6          5      3           4
+--R                      (128x  - 64x)y(x)  + (- 128x  - 64x  + 80x)y(x)
+--R                    + 
+--R                           5      3           2      5      3
+--R                      (128x  - 64x  - 16x)y(x)  - 16x  + 16x  - 2x
+--R                 *
+--R                     +------+
+--R                     | 2
+--R                    \|x  - 1
+--R                + 
+--R                         4       2          6        6       2          4
+--R                  (- 128x  + 128x  - 16)y(x)  + (128x  - 128x  + 24)y(x)
+--R                + 
+--R                         6       4         2      6      4     2
+--R                  (- 128x  + 128x  - 8)y(x)  + 16x  - 24x  + 8x
+--R             *
+--R                     +---------+
+--R                     |    2
+--R                log(\|y(x)  - 1  - y(x))
+--R            + 
+--R                                                               +------+
+--R                           3           3         3             | 2
+--R                      ((64x  - 32x)y(x)  + (- 32x  + 16x)y(x))\|x  - 1
+--R                    + 
+--R                            4      2         3       4      2
+--R                      (- 64x  + 64x  - 8)y(x)  + (32x  - 32x  + 4)y(x)
+--R                 *
+--R                         +------+     2
+--R                         | 2
+--R                    log(\|x  - 1  - x)
+--R                + 
+--R                               3           5          5           3
+--R                          (128x  - 64x)y(x)  + (- 128x  + 48x)y(x)
+--R                        + 
+--R                              5      3
+--R                          (64x  - 48x )y(x)
+--R                     *
+--R                         +------+
+--R                         | 2
+--R                        \|x  - 1
+--R                    + 
+--R                             4       2          5
+--R                      (- 128x  + 128x  - 16)y(x)
+--R                    + 
+--R                           6      4      2          3
+--R                      (128x  - 64x  - 64x  + 16)y(x)
+--R                    + 
+--R                            6      4      2
+--R                      (- 64x  + 80x  - 16x  - 2)y(x)
+--R                 *
+--R                         +------+
+--R                         | 2
+--R                    log(\|x  - 1  - x)
+--R                + 
+--R                          3           7          5      3           5
+--R                      (64x  - 32x)y(x)  + (- 128x  + 32x  + 32x)y(x)
+--R                    + 
+--R                          7      5       3            3
+--R                      (64x  + 32x  - 320x  + 128x)y(x)
+--R                    + 
+--R                            7      5       3
+--R                      (- 32x  + 32x  + 128x  - 66x)y(x)
+--R                 *
+--R                     +------+
+--R                     | 2
+--R                    \|x  - 1
+--R                + 
+--R                        4      2         7        6      4      2          5
+--R                  (- 64x  + 64x  - 8)y(x)  + (128x  - 96x  - 32x  + 12)y(x)
+--R                + 
+--R                        8       4       2          3
+--R                  (- 64x  + 344x  - 280x  + 28)y(x)
+--R                + 
+--R                      8      6       4       2
+--R                  (32x  - 48x  - 116x  + 132x  - 16)y(x)
+--R             *
+--R                 +---------+
+--R                 |    2
+--R                \|y(x)  - 1
+--R            + 
+--R                                                                       +------+
+--R                         3           4       3           2     3       | 2
+--R                  ((- 64x  + 32x)y(x)  + (64x  - 32x)y(x)  - 8x  + 4x)\|x  - 1
+--R                + 
+--R                      4      2         4         4      2         2     4     2
+--R                  (64x  - 64x  + 8)y(x)  + (- 64x  + 64x  - 8)y(x)  + 8x  - 8x
+--R                + 
+--R                  1
+--R             *
+--R                     +------+     2
+--R                     | 2
+--R                log(\|x  - 1  - x)
+--R            + 
+--R                             3           6        5      3           4
+--R                      (- 128x  + 64x)y(x)  + (128x  + 64x  - 80x)y(x)
+--R                    + 
+--R                             5      3           2      5      3
+--R                      (- 128x  + 64x  + 16x)y(x)  + 16x  - 16x  + 2x
+--R                 *
+--R                     +------+
+--R                     | 2
+--R                    \|x  - 1
+--R                + 
+--R                       4       2          6          6       2          4
+--R                  (128x  - 128x  + 16)y(x)  + (- 128x  + 128x  - 24)y(x)
+--R                + 
+--R                       6       4         2      6      4     2
+--R                  (128x  - 128x  + 8)y(x)  - 16x  + 24x  - 8x
+--R             *
+--R                     +------+
+--R                     | 2
+--R                log(\|x  - 1  - x)
+--R            + 
+--R                        3           8        5           6
+--R                  (- 64x  + 32x)y(x)  + (128x  - 48x)y(x)
+--R                + 
+--R                        7      5       3            4
+--R                  (- 64x  - 96x  + 344x  - 116x)y(x)
+--R                + 
+--R                      7      5       3            2     7      5      3
+--R                  (64x  - 32x  - 280x  + 132x)y(x)  - 8x  + 12x  + 28x  - 16x
+--R             *
+--R                 +------+
+--R                 | 2
+--R                \|x  - 1
+--R            + 
+--R                  4      2         8          6      4      2          6
+--R              (64x  - 64x  + 8)y(x)  + (- 128x  + 64x  + 64x  - 16)y(x)
+--R            + 
+--R                  8      6       4       2          4
+--R              (64x  + 64x  - 400x  + 272x  - 23)y(x)
+--R            + 
+--R                    8      6       4       2          2     8      6      4
+--R              (- 64x  + 64x  + 272x  - 272x  + 31)y(x)  + 8x  - 16x  - 23x
+--R            + 
+--R                 2
+--R              31x  - 4
+--R         /
+--R                                                              +------+
+--R                        3            3          3             | 2
+--R                  ((256x  - 128x)y(x)  + (- 128x  + 64x)y(x))\|x  - 1
+--R                + 
+--R                         4       2          3        4       2
+--R                  (- 256x  + 256x  - 32)y(x)  + (128x  - 128x  + 16)y(x)
+--R             *
+--R                 +---------+
+--R                 |    2
+--R                \|y(x)  - 1
+--R            + 
+--R                        3            4        3            2      3
+--R                ((- 256x  + 128x)y(x)  + (256x  - 128x)y(x)  - 32x  + 16x)
+--R             *
+--R                 +------+
+--R                 | 2
+--R                \|x  - 1
+--R            + 
+--R                   4       2          4          4       2          2      4
+--R              (256x  - 256x  + 32)y(x)  + (- 256x  + 256x  - 32)y(x)  + 32x
+--R            + 
+--R                   2
+--R              - 32x  + 4
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 123
+ode62 := D(y(x),x) - (y(x)-x**2*sqrt(x**2-y(x)**2))/_
+                      (x*y(x)*sqrt(x**2-y(x)**2)+x)
+--R
+--R                 +------------+                +------------+
+--R                 |      2    2       ,       2 |      2    2
+--R         (x y(x)\|- y(x)  + x   + x)y (x) + x \|- y(x)  + x   - y(x)
+--R
+--R   (27)  -----------------------------------------------------------
+--R                                 +------------+
+--R                                 |      2    2
+--R                          x y(x)\|- y(x)  + x   + x
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 123
+ode62a:=solve(ode62,y,x)
+--R
+--R   (28)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 28
+
+--S 29 of 123
+ode63 := D(y(x),x) - (1+ y(x)**2)/(abs(y(x)+sqrt(1+y(x)))*sqrt(1+x)**3)
+--R
+--R                 +-----+ ,        +--------+               2
+--R         (x + 1)\|x + 1 y (x)abs(\|y(x) + 1  + y(x)) - y(x)  - 1
+--R
+--R   (29)  -------------------------------------------------------
+--R                          +-----+     +--------+
+--R                  (x + 1)\|x + 1 abs(\|y(x) + 1  + y(x))
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 123
+ode63a:=solve(ode63,y,x)
+--R
+--R   (30)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 30
+
+--S 31 of 123
+ode64 := D(y(x),x) - sqrt((a*y(x)**2+b*y(x)+c)/(a*x**2+b*x+c))
+--R
+--R                  +--------------------+
+--R                  |      2
+--R          ,       |a y(x)  + b y(x) + c
+--R   (31)  y (x) -  |--------------------
+--R                  |      2
+--R                 \|   a x  + b x + c
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 123
+yx:=solve(ode64,y,x)
+--R
+--R   (32)
+--R       log
+--R                                                +--------------------+
+--R                                                |      2
+--R                       2 2                  +-+ |a y(x)  + b y(x) + c
+--R                    (2a x  + 2a b x + 2a c)\|a  |--------------------
+--R                                                |      2
+--R                                               \|   a x  + b x + c
+--R                 *
+--R                     +--------------------+
+--R                     |      2
+--R                    \|a y(x)  + b y(x) + c
+--R                + 
+--R                       3 3     2   2     2        2
+--R                  (- 2a x  - 2a b x  - 2a c x)y(x)
+--R                + 
+--R                       2   3       2 2                     2   3           2
+--R                  (- 2a b x  - 2a b x  - 2a b c x)y(x) - 2a c x  - 2a b c x
+--R                + 
+--R                        2
+--R                  - 2a c x
+--R             *
+--R                 +-------------------------+
+--R                 |        2               2
+--R                \|a c y(x)  + b c y(x) + c
+--R            + 
+--R                      3 4    2   3     2   2                2    3     2
+--R                  (- a x  - a b x  - 2a c x  - a b c x - a c  - a )y(x)
+--R                + 
+--R                      2   4      2 3           2    2         2    2
+--R                  (- a b x  - a b x  - 2a b c x  - b c x - b c  - a b)y(x)
+--R                + 
+--R                     2   4          3       2 2      2     3    2
+--R                  - a c x  - a b c x  - 2a c x  - b c x - c  - a c
+--R             *
+--R                     +--------------------+
+--R                 +-+ |      2
+--R                \|a \|a y(x)  + b y(x) + c
+--R            + 
+--R                     4 3     3   2     3        2
+--R                  (2a x  + 2a b x  + 2a c x)y(x)
+--R                + 
+--R                     3   3     2 2 2     2               3   3     2     2
+--R                  (2a b x  + 2a b x  + 2a b c x)y(x) + 2a c x  + 2a b c x
+--R                + 
+--R                    2 2
+--R                  2a c x
+--R             *
+--R                 +--------------------+
+--R                 |      2
+--R                 |a y(x)  + b y(x) + c
+--R                 |--------------------
+--R                 |      2
+--R                \|   a x  + b x + c
+--R         /
+--R                                        +--------------------+
+--R                                        |      2
+--R                   2 2                  |a y(x)  + b y(x) + c
+--R                (2a x  + 2a b x + 2a c) |--------------------
+--R                                        |      2
+--R                                       \|   a x  + b x + c
+--R             *
+--R                 +-------------------------+
+--R                 |        2               2
+--R                \|a c y(x)  + b c y(x) + c
+--R            + 
+--R                3 4    2   3                2    3     2
+--R              (a x  + a b x  - a b c x - a c  - a )y(x)
+--R            + 
+--R                2   4      2 3    2         2    2          2   4          3
+--R              (a b x  + a b x  - b c x - b c  - a b)y(x) + a c x  + a b c x
+--R            + 
+--R                   2     3    2
+--R              - b c x - c  - a c
+--R     + 
+--R       log
+--R                                    +--------------------+
+--R                 +-+ +-+            |      2                         +-+
+--R              (2\|a \|c  - 2a y(x))\|a y(x)  + b y(x) + c  + 2a y(x)\|c
+--R            + 
+--R                        2                +-+
+--R              (- 2a y(x)  - b y(x) - 2c)\|a
+--R         /
+--R                  +--------------------+
+--R              +-+ |      2
+--R            2\|c \|a y(x)  + b y(x) + c  - b y(x) - 2c
+--R  /
+--R      +-+
+--R     \|a
+--R                                          Type: Union(Expression Integer,...)
+--E 32
+
+@
+The results of this substitution are too long to include.
+It should be zero but Axiom cannot simplify it.
+<<*>>=
+--S 33 of 123
+ode64expr := D(yx,x) - sqrt((a*yx**2+b*yx+c)/(a*x**2+b*x+c));
+--E 33
+
+--S 34 of 123
+ode65 := D(y(x),x) - sqrt((y(x)**3+1)/(x**3+1))
+--R
+--R                  +---------+
+--R                  |    3
+--R          ,       |y(x)  + 1
+--R   (34)  y (x) -  |---------
+--R                  |   3
+--R                 \|  x  + 1
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 123
+ode65a:=solve(ode65,y,x)
+--R
+--R                 +---------+
+--R                 |    3
+--R                 |y(x)  + 1
+--R                 |---------
+--R            x    |   3                 y(x)
+--I          ++    \| %P  + 1           ++          1
+--I   (35)   |   - ------------ d%P  +  |      ---------- d%P
+--R         ++      +---------+        ++       +-------+
+--R                 |    3                      |  3
+--I                \|y(x)  + 1                 \|%P  + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 35
+
+--S 36 of 123
+ode66 := D(y(x),x) - sqrt(abs(y(x)*(1-y(x))*(1-a*y(x))))/_
+               sqrt(abs(x*(1-x)*(1-a*x)))
+--R
+--R   (36)
+--R          +------------------------------------+
+--R          |          3                2
+--R       - \|abs(a y(x)  + (- a - 1)y(x)  + y(x))
+--R     + 
+--R        +---------------------------+
+--R        |       3             2       ,
+--R       \|abs(a x  + (- a - 1)x  + x) y (x)
+--R
+--R  /
+--R      +---------------------------+
+--R      |       3             2
+--R     \|abs(a x  + (- a - 1)x  + x)
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 123
+ode66a:=solve(ode66,y,x)
+--R
+--R   (37)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 37
+
+--S 38 of 123
+ode67 := D(y(x),x) - sqrt(1-y(x)**4)/sqrt(1-x**4)
+--R
+--R          +--------+         +-----------+
+--R          |   4      ,       |      4
+--R         \|- x  + 1 y (x) - \|- y(x)  + 1
+--R
+--R   (38)  ---------------------------------
+--R                     +--------+
+--R                     |   4
+--R                    \|- x  + 1
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 123
+ode67a:=solve(ode67,y,x)
+--R
+--R   (39)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 39
+
+--S 40 of 123
+ode68 := D(y(x),x) - sqrt((a*y(x)**4+b*y(x)**2+1)/(a*x**4+b*x**2+1))
+--R
+--R                  +---------------------+
+--R                  |      4         2
+--R          ,       |a y(x)  + b y(x)  + 1
+--R   (40)  y (x) -  |---------------------
+--R                  |      4      2
+--R                 \|   a x  + b x  + 1
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 123
+ode68a:=solve(ode68,y,x)
+--R 
+--R
+--R   (41)
+--R           +---------------------+
+--R           |      4         2
+--R           |a y(x)  + b y(x)  + 1
+--R           |---------------------
+--R      x    |     2      4                    y(x)
+--I    ++    \|   %N b + %N a + 1             ++              1
+--I    |   - ------------------------ d%N  +  |      ------------------ d%N
+--R   ++      +---------------------+        ++       +---------------+
+--R           |      4         2                      |  2      4
+--I          \|a y(x)  + b y(x)  + 1                 \|%N b + %N a + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 41
+
+--S 42 of 123
+ode69 := D(y(x),x) - sqrt((b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0)*_
+                           (a4*x**4+a3*x**3+a2*x**2+a1*x+a0))
+--R 
+--R
+--R   (42)
+--R      ,
+--R     y (x)
+--R
+--R   + 
+--R     -
+--R        ROOT
+--R                     4          3          2                       4
+--R             (a4 b4 x  + a3 b4 x  + a2 b4 x  + a1 b4 x + a0 b4)y(x)
+--R           + 
+--R                     4          3          2                       3
+--R             (a4 b3 x  + a3 b3 x  + a2 b3 x  + a1 b3 x + a0 b3)y(x)
+--R           + 
+--R                     4          3          2                       2
+--R             (a4 b2 x  + a3 b2 x  + a2 b2 x  + a1 b2 x + a0 b2)y(x)
+--R           + 
+--R                     4          3          2                                 4
+--R             (a4 b1 x  + a3 b1 x  + a2 b1 x  + a1 b1 x + a0 b1)y(x) + a4 b0 x
+--R           + 
+--R                    3          2
+--R             a3 b0 x  + a2 b0 x  + a1 b0 x + a0 b0
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 123
+ode69a:=solve(ode69,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   PFO::possibleOrder: more than 1 algebraic constant
+--R
+--R   Continuing to read the file...
+--R
+--E 43
+
+--S 44 of 123
+ode70 := D(y(x),x) - sqrt((a4*x**4+a3*x**3+a2*x**2+a1*x+a0)/_
+                        (b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0))
+--R
+--R                  +---------------------------------------------+
+--R                  |          4       3       2
+--R          ,       |      a4 x  + a3 x  + a2 x  + a1 x + a0
+--R   (43)  y (x) -  |---------------------------------------------
+--R                  |       4          3          2
+--R                 \|b4 y(x)  + b3 y(x)  + b2 y(x)  + b1 y(x) + b0
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 123
+ode70a:=solve(ode70,y,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   PFO::possibleOrder: more than 1 algebraic constant
+--R
+--R   Continuing to read the file...
+--R
+--E 45
+
+--S 46 of 123
+ode71 := D(y(x),x) - sqrt((b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0)/_
+                       (a4*x**4+a3*x**3+a2*x**2+a1*x+a0))
+--R
+--R                  +---------------------------------------------+
+--R                  |       4          3          2
+--R          ,       |b4 y(x)  + b3 y(x)  + b2 y(x)  + b1 y(x) + b0
+--R   (44)  y (x) -  |---------------------------------------------
+--R                  |          4       3       2
+--R                 \|      a4 x  + a3 x  + a2 x  + a1 x + a0
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 123
+ode71a:=solve(ode71,y,x)
+--R 
+--R
+--R   (45)
+--R             +---------------------------------------------+
+--R             |       4          3          2
+--R             |b4 y(x)  + b3 y(x)  + b2 y(x)  + b1 y(x) + b0
+--R             |---------------------------------------------
+--R        x    |        4       3       2
+--I      ++    \|      %N a4 + %N a3 + %N a2 + %N a1 + a0
+--I      |   - ------------------------------------------------ d%N
+--R     ++      +---------------------------------------------+
+--R             |       4          3          2
+--R            \|b4 y(x)  + b3 y(x)  + b2 y(x)  + b1 y(x) + b0
+--R   + 
+--R        y(x)
+--R      ++                       1
+--I      |      ------------------------------------- d%N
+--R     ++       +----------------------------------+
+--R              |  4       3       2
+--I             \|%N b4 + %N b3 + %N b2 + %N b1 + b0
+--R                                          Type: Union(Expression Integer,...)
+--E 47
+
+--S 48 of 123
+R1:=operator 'R1
+--R
+--R   (46)  R1
+--R                                                          Type: BasicOperator
+--E 48
+
+--S 49 of 123
+R2:=operator 'R2
+--R
+--R   (47)  R2
+--R                                                          Type: BasicOperator
+--E 49
+
+--S 50 of 123
+ode72 := D(y(x),x) - R1(x,sqrt(a4*x**4+a3*x**3+a2*x**2+a1*x+a0))*_
+             R2(y(x),sqrt(b4*y(x)**4+b3*y(x)**3+b2*y(x)**2+b1*y(x)+b0))
+--R
+--R   (48)
+--R     -
+--R                +---------------------------------+
+--R                |    4       3       2
+--R          R1(x,\|a4 x  + a3 x  + a2 x  + a1 x + a0 )
+--R       *
+--R                   +---------------------------------------------+
+--R                   |       4          3          2
+--R          R2(y(x),\|b4 y(x)  + b3 y(x)  + b2 y(x)  + b1 y(x) + b0 )
+--R   + 
+--R      ,
+--R     y (x)
+--R
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 123
+ode72a:=solve(ode72,y,x)
+--R 
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 51
+
+--S 52 of 123
+ode73 := D(y(x),x) - ((a3*x**3+a2*x**2+a1*x+a0)/_
+           (a3*y(x)**3+a2*y(x)**2+a1*y(x)+a0))**(2/3)
+--R
+--R                  +----------------------------------+2
+--R                  |         3       2
+--R          ,       |     a3 x  + a2 x  + a1 x + a0
+--R   (49)  y (x) -  |----------------------------------
+--R                 3|       3          2
+--R                 \|a3 y(x)  + a2 y(x)  + a1 y(x) + a0
+--R                                                     Type: Expression Integer
+--E 52
+
+@
+Attempting to solve this problem fails with the error:
+\begin{verbatim}
+ode73a:=solve(ode73,y,x)
+   >> Error detected within library code:
+   Table construction failed in MLIFT
+\end{verbatim}
+<<*>>=
+
+--S 53 of 123
+ode74 := D(y(x),x) - f(x)*(y(x)-g(x))*sqrt((y(x)-a)*(y(x)-b))
+--R
+--R                                         +---------------------------+
+--R          ,                              |    2
+--R   (50)  y (x) + (- f(x)y(x) + f(x)g(x))\|y(x)  + (- b - a)y(x) + a b
+--R
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 123
+ode74a:=solve(ode74,y,x)
+--R
+--R   (51)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 54
+
+--S 55 of 123
+ode75 := D(y(x),x) - exp(x-y(x)) + exp(x)
+--R
+--R          ,        - y(x) + x     x
+--R   (52)  y (x) - %e           + %e
+--R
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 123
+ode75a:=solve(ode75,y,x)
+--R
+--R   (53)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 56
+
+--S 57 of 123
+ode76 := D(y(x),x) - a*cos(y(x)) + b
+--R
+--R          ,
+--R   (54)  y (x) - a cos(y(x)) + b
+--R
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 123
+yx:=solve(ode76,y,x)
+--R
+--R   (55)
+--R                                    +---------+              +---------+
+--R               2    2               |   2    2               |   2    2
+--R           (- b  + a )sin(y(x)) + b\|- b  + a  cos(y(x)) - a\|- b  + a
+--R       log(-------------------------------------------------------------)
+--R                                  a cos(y(x)) - b
+--R     + 
+--R         +---------+
+--R         |   2    2
+--R       x\|- b  + a
+--R  /
+--R      +---------+
+--R      |   2    2
+--R     \|- b  + a
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 123
+ode76expr := D(yx,x) - a*cos(yx) + b
+--R
+--R   (56)
+--R                2 2    4                3    3
+--R           ((- a b  + a )cos(y(x)) + a b  - a b)sin(y(x))
+--R         + 
+--R               +---------+                           +---------+
+--R            2  |   2    2          2         2    3  |   2    2
+--R           a b\|- b  + a  cos(y(x))  + (- a b  - a )\|- b  + a  cos(y(x))
+--R         + 
+--R               +---------+
+--R            2  |   2    2
+--R           a b\|- b  + a
+--R      *
+--R         cos
+--R                log
+--R                                            +---------+              +---------+
+--R                       2    2               |   2    2               |   2    2
+--R                   (- b  + a )sin(y(x)) + b\|- b  + a  cos(y(x)) - a\|- b  + a
+--R                   -------------------------------------------------------------
+--R                                          a cos(y(x)) - b
+--R              + 
+--R                  +---------+
+--R                  |   2    2
+--R                x\|- b  + a
+--R           /
+--R               +---------+
+--R               |   2    2
+--R              \|- b  + a
+--R     + 
+--R               +---------+
+--R               |   2    2          2       2    2
+--R           - a\|- b  + a  sin(y(x))  + (- b  + a )sin(y(x))
+--R         + 
+--R               +---------+               +---------+
+--R               |   2    2          2     |   2    2
+--R           - a\|- b  + a  cos(y(x))  + b\|- b  + a  cos(y(x))
+--R      *
+--R          ,
+--R         y (x)
+--R
+--R     + 
+--R            3      2    3     3              4    3    2 2    2
+--R       ((a b  + a b  - a b - a )cos(y(x)) - b  - b  + a b  + a b)sin(y(x))
+--R     + 
+--R                      +---------+
+--R             2        |   2    2          2
+--R       (- a b  - a b)\|- b  + a  cos(y(x))
+--R     + 
+--R                            +---------+                           +---------+
+--R         3    2    2     2  |   2    2                   2        |   2    2
+--R       (b  + b  + a b + a )\|- b  + a  cos(y(x)) + (- a b  - a b)\|- b  + a
+--R  /
+--R                                                        +---------+
+--R            2    3              3    2                  |   2    2          2
+--R       ((a b  - a )cos(y(x)) - b  + a b)sin(y(x)) - a b\|- b  + a  cos(y(x))
+--R     + 
+--R                 +---------+                +---------+
+--R         2    2  |   2    2                 |   2    2
+--R       (b  + a )\|- b  + a  cos(y(x)) - a b\|- b  + a
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 123
+ode77 := D(y(x),x) - cos(a*y(x)+b*x)
+--R
+--R          ,
+--R   (57)  y (x) - cos(a y(x) + b x)
+--R
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 123
+ode77a:=solve(ode77,y,x)
+--R
+--R   (58)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 61
+
+--S 62 of 123
+ode78 := D(y(x),x) + a*sin(alpha*y(x)+beta*x) + b
+--R
+--R          ,
+--R   (59)  y (x) + a sin(alpha y(x) + beta x) + b
+--R
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 123
+ode78a:=solve(ode78,y,x)
+--R
+--R   (60)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 63
+
+--S 64 of 123
+ode79 := D(y(x),x) + f(x)*cos(a*y(x)) + g(x)*sin(a*y(x)) + h(x)
+--R
+--R          ,
+--R   (61)  y (x) + g(x)sin(a y(x)) + f(x)cos(a y(x)) + h(x)
+--R
+--R                                                     Type: Expression Integer
+--E 64
+
+--S 65 of 123
+ode79a:=solve(ode79,y,x)
+--R
+--R   (62)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 65
+
+--S 66 of 123
+ode80 := D(y(x),x) + f(x)*sin(y(x)) + (1-D(f(x),x))*cos(y(x)) - D(f(x),x) - 1
+--R
+--R          ,                        ,
+--R   (63)  y (x) + (- cos(y(x)) - 1)f (x) + f(x)sin(y(x)) + cos(y(x)) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 123
+ode80a:=solve(ode80,y,x)
+--R
+--R   (64)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 67
+
+--S 68 of 123
+ode81 := D(y(x),x) + 2*tan(y(x))*tan(x) - 1
+--R
+--R          ,
+--R   (65)  y (x) + 2tan(x)tan(y(x)) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 123
+ode81a:=solve(ode81,y,x)
+--R
+--R   (66)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 69
+
+--S 70 of 123
+ode82 := D(y(x),x) - a*(1+tan(y(x))**2) + tan(y(x))*tan(x)
+--R
+--R          ,                 2
+--R   (67)  y (x) - a tan(y(x))  + tan(x)tan(y(x)) - a
+--R
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 123
+ode82a:=solve(ode82,y,x)
+--R
+--R   (68)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 71
+
+--S 72 of 123
+ode83 := D(y(x),x) - tan(x*y(x))
+--R
+--R          ,
+--R   (69)  y (x) - tan(x y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 123
+ode83a:=solve(ode83,y,x)
+--R
+--R   (70)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 73
+
+--S 74 of 123
+ode84 := D(y(x),x) - f(a*x + b*y(x))
+--R
+--R          ,
+--R   (71)  y (x) - f(b y(x) + a x)
+--R
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 123
+ode84a:=solve(ode84,y,x)
+--R
+--R   (72)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 75
+
+--S 76 of 123
+ode85 := D(y(x),x) - x**(a-1)*y(x)**(1-b)*f(x**a/a + y(x)**b/b)
+--R
+--R                                    b      a
+--R            a - 1    - b + 1  a y(x)  + b x      ,
+--R   (73)  - x     y(x)       f(--------------) + y (x)
+--R                                    a b
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 123
+ode85a:=solve(ode85,y,x)
+--R
+--R   (74)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 77
+
+--S 78 of 123
+ode86 := D(y(x),x) - (y(x)-x*f(x**2+a*y(x)**2))/(x+a*y(x)*f(x**2+a*y(x)**2))
+--R
+--R                        2    2       ,                2    2
+--R         (a y(x)f(a y(x)  + x ) + x)y (x) + x f(a y(x)  + x ) - y(x)
+--R
+--R   (75)  -----------------------------------------------------------
+--R                                        2    2
+--R                          a y(x)f(a y(x)  + x ) + x
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 123
+ode86a:=solve(ode86,y,x)
+--R
+--R   (76)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 79
+
+--S 80 of 123
+ode87 := D(y(x),x) - (y(x)*a*f(x**c*y(x))+c*x**a*y(x)**b)/_
+            (x*b*f(x**c*y(x))-x**a*y(x)**b)
+--R
+--R           a    b              c   ,         a    b                c
+--R         (x y(x)  - b x f(y(x)x ))y (x) + c x y(x)  + a y(x)f(y(x)x )
+--R
+--R   (77)  ------------------------------------------------------------
+--R                             a    b              c
+--R                            x y(x)  - b x f(y(x)x )
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 123
+ode87a:=solve(ode87,y,x)
+--R
+--R   (78)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 81
+
+--S 82 of 123
+ode88 := 2*D(y(x),x) - 3*y(x)**2 - 4*a*y(x) - b - c*exp(-2*a*x)
+--R
+--R           ,          - 2a x        2
+--R   (79)  2y (x) - c %e       - 3y(x)  - 4a y(x) - b
+--R
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 123
+ode88a:=solve(ode88,y,x)
+--R
+--R   (80)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 83
+
+--S 84 of 123
+ode89 := x*D(y(x),x) - sqrt(a**2 - x**2)
+--R
+--R                   +---------+
+--R           ,       |   2    2
+--R   (81)  xy (x) - \|- x  + a
+--R
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 123
+ode89a:=solve(ode89,y,x)
+--R
+--R   (82)
+--R                                         +---------+
+--R                   +---------+           |   2    2
+--R                   |   2    2     2     \|- x  + a   - a     2
+--R                (a\|- x  + a   - a )log(----------------) - x
+--R                                                x
+--R   [particular= ----------------------------------------------,basis= [1]]
+--R                                +---------+
+--R                                |   2    2
+--R                               \|- x  + a   - a
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 85
+
+--S 86 of 123
+yx:=ode89a.particular
+--R
+--R                                  +---------+
+--R            +---------+           |   2    2
+--R            |   2    2     2     \|- x  + a   - a     2
+--R         (a\|- x  + a   - a )log(----------------) - x
+--R                                         x
+--R   (83)  ----------------------------------------------
+--R                         +---------+
+--R                         |   2    2
+--R                        \|- x  + a   - a
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 123
+ode89expr := x*D(yx,x) - sqrt(a**2 - x**2)
+--R
+--R   (84)  0
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 123
+ode90 := x*D(y(x),x) + y(x) - x*sin(x)
+--R
+--R           ,
+--R   (85)  xy (x) - x sin(x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 88
+
+--S 89 of 123
+ode90a:=solve(ode90,y,x)
+--R
+--R                      sin(x) - x cos(x)         1
+--R   (86)  [particular= -----------------,basis= [-]]
+--R                              x                 x
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 89
+
+--S 90 of 123
+yx:=ode90a.particular
+--R
+--R         sin(x) - x cos(x)
+--R   (87)  -----------------
+--R                 x
+--R                                                     Type: Expression Integer
+--E 90
+
+--S 91 of 123
+ode90expr := x*D(yx,x) + yx - x*sin(x)
+--R
+--R   (88)  0
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 123
+ode91 := x*D(y(x),x) - y(x) - x/log(x)
+--R
+--R                  ,
+--R         x log(x)y (x) - y(x)log(x) - x
+--R
+--R   (89)  ------------------------------
+--R                     log(x)
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 123
+ode91a:=solve(ode91,y,x)
+--R
+--R   (90)  [particular= x log(log(x)),basis= [x]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 93
+
+--S 94 of 123
+yx:=ode91a.particular
+--R
+--R   (91)  x log(log(x))
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 123
+ode91expr := x*D(yx,x) - yx - x/log(x)
+--R
+--R   (92)  0
+--R                                                     Type: Expression Integer
+--E 95
+
+--S 96 of 123
+ode92 := x*D(y(x),x) - y(x) - x**2*sin(x)
+--R
+--R           ,       2
+--R   (93)  xy (x) - x sin(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 123
+ode92a:=solve(ode92,y,x)
+--R
+--R   (94)  [particular= - x cos(x),basis= [x]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 97
+
+--S 98 of 123
+yx:=ode92a.particular
+--R
+--R   (95)  - x cos(x)
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 123
+ode92expr := x*D(yx,x) - yx - x**2*sin(x)
+--R
+--R   (96)  0
+--R                                                     Type: Expression Integer
+--E 99
+
+
+--S 100 of 123
+ode93 := x*D(y(x),x) - y(x) - x*cos(log(log(x)))/log(x)
+--R
+--R                                         ,
+--R         - x cos(log(log(x))) + x log(x)y (x) - y(x)log(x)
+--R
+--R   (97)  -------------------------------------------------
+--R                               log(x)
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 123
+ode93a:=solve(ode93,y,x)
+--R
+--R   (98)  [particular= x sin(log(log(x))),basis= [x]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 101
+
+--S 102 of 123
+yx:=ode93a.particular
+--R
+--R   (99)  x sin(log(log(x)))
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 123
+ode93 := x*D(yx,x) - yx - x*cos(log(log(x)))/log(x)
+--R
+--R   (100)  0
+--R                                                     Type: Expression Integer
+--E 103
+
+--S 104 of 123
+ode94 := x*D(y(x),x) +a*y(x) + b*x**n
+--R
+--R            ,         n
+--R   (101)  xy (x) + b x  + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 123
+ode94a:=solve(ode94,y,x)
+--R
+--R                             n log(x)
+--R                         b %e                   - a log(x)
+--R   (102)  [particular= - ------------,basis= [%e          ]]
+--R                             n + a
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 105
+
+--S 106 of 123
+yx:=ode94a.particular
+--R
+--R                n log(x)
+--R            b %e
+--R   (103)  - ------------
+--R                n + a
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 123
+ode94expr := x*D(yx,x) +a*yx + b*x**n
+--R
+--R                n log(x)      n
+--R   (104)  - b %e         + b x
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 123
+exprule := rule x^n == %e^(n*log(x))
+--R
+--R           n      n log(x)
+--R   (105)  x  == %e
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 108
+
+--S 109 of 123
+exprule ode94expr
+--R
+--R   (106)  0
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 123
+ode95 := x*D(y(x),x) + y(x)**2 + x**2
+--R
+--R            ,          2    2
+--R   (107)  xy (x) + y(x)  + x
+--R
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 123
+ode95a:=solve(ode95,y,x)
+--R 
+--R
+--R   (108)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 111
+
+--S 112 of 123
+ode96 := x*D(y(x),x) - y(x)**2 + 1
+--R 
+--R
+--R            ,          2
+--R   (109)  xy (x) - y(x)  + 1
+--R
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 123
+yx:=solve(ode96,y,x)
+--R
+--R               - x y(x) - x
+--R   (110)  ----------------------
+--R           +--------+ +--------+
+--R          \|y(x) - 1 \|y(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 113
+
+--S 114 of 123
+ode96expr := x*D(yx,x) - yx**2 + 1
+--R
+--R   (111)
+--R    2 ,           2             2      +--------+ +--------+         2
+--R   x y (x) + ((- x  + 1)y(x) - x  - 1)\|y(x) - 1 \|y(x) + 1  - x y(x)  + x
+--R
+--R   -----------------------------------------------------------------------
+--R                                  +--------+ +--------+
+--R                       (y(x) - 1)\|y(x) - 1 \|y(x) + 1
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 123
+ode97 := x*D(y(x),x) + a*y(x)**2 - y(x) + b*x**2
+--R 
+--R
+--R            ,            2             2
+--R   (112)  xy (x) + a y(x)  - y(x) + b x
+--R
+--R                                                     Type: Expression Integer
+--E 115
+
+--S 116 of 123
+yx:=solve(ode97,y,x)
+--R 
+--R
+--R                         +------+
+--R                  a y(x)\|- 4a b  - 2a b x
+--R   (113)  ---------------------------------------
+--R                                          +-----+
+--R                +------+               2x\|- a b
+--R          (2b x\|- 4a b  - 4a b y(x))%e
+--R                                          Type: Union(Expression Integer,...)
+--E 116
+
+--S 117 of 123
+ode97expr := x*D(yx,x) + a*yx**2 - yx + b*x**2
+--R
+--R   (114)
+--R                                              +-----+
+--R                3 +------+     2   2       2x\|- a b  ,
+--R       (- 4a b x \|- 4a b  + 8a b x y(x))%e          y (x)
+--R
+--R     + 
+--R                2 3    2     3 5  +------+     2 2 2    3        3 4
+--R         ((12a b x y(x)  - 4b x )\|- 4a b  - 8a b x y(x)  + 24a b x y(x))
+--R      *
+--R               +-----+ 2
+--R            2x\|- a b
+--R         (%e          )
+--R     + 
+--R                   2      3         3      +------+     2   2    2       2 4
+--R             ((- 4a x y(x)  - 4a b x y(x))\|- 4a b  - 8a b x y(x)  - 8a b x )
+--R          *
+--R              +-----+
+--R             \|- a b
+--R         + 
+--R                2    3         2      +------+      2        2       2 3
+--R           (- 2a y(x)  + 2a b x y(x))\|- 4a b  - 12a b x y(x)  - 4a b x
+--R      *
+--R              +-----+
+--R           2x\|- a b
+--R         %e
+--R     + 
+--R         3      2    2   3  +------+     4    3     3   2
+--R       (a x y(x)  + a b x )\|- 4a b  + 2a y(x)  + 2a b x y(x)
+--R  /
+--R                     2     2 3  +------+     2      3        2 2
+--R       ((12a b x y(x)  - 4b x )\|- 4a b  - 8a b y(x)  + 24a b x y(x))
+--R    *
+--R             +-----+ 2
+--R          2x\|- a b
+--R       (%e          )
+--R                                                     Type: Expression Integer
+--E 117
+
+--S 118 of 123
+ode98 := x*D(y(x),x) + a*y(x)**2 - b*y(x) + c*x**(2*b)
+--R 
+--R
+--R            ,         2b         2
+--R   (115)  xy (x) + c x   + a y(x)  - b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 123
+ode98a:=solve(ode98,y,x)
+--R
+--R   (116)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 119
+
+--S 120 of 123
+ode99 := x*D(y(x),x) + a*y(x)**2 - b*y(x) - c*x**beta
+--R 
+--R
+--R            ,         beta         2
+--R   (117)  xy (x) - c x     + a y(x)  - b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 123
+ode99a:=solve(ode99,y,x)
+--R 
+--R
+--R   (118)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 121
+
+--S 122 of 123
+ode100 := x*D(y(x),x) + x*y(x)**2 + a
+--R 
+--R
+--R            ,            2
+--R   (119)  xy (x) + x y(x)  + a
+--R
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 123
+ode100a:=solve(ode100,y,x)
+--R 
+--R
+--R   (120)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 123
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
